Bug 1437661 - Fix typo in unify_hosts script
Summary: Fix typo in unify_hosts script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.9
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: Bryan Kearney
QA Contact: Chris Roberts
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-30 20:27 UTC by jcallaha
Modified: 2021-06-10 12:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19100 0 None None None 2017-03-30 20:40:53 UTC

Description jcallaha 2017-03-30 20:27:18 UTC
Description of problem:
In the foreman-rake katello:unify hosts script, there is a simple typo "...please un-unmanage this...".

Version-Release number of selected component (if applicable):
Satellite 6.2.9 Snap 2

How reproducible:
Always

Steps to Reproduce:
1. Follow the reproducer steps found in:
 https://bugzilla.redhat.com/show_bug.cgi?id=1418892#c12


Actual results:
Host ______ is registered with subscription-manager but is managed, please un-unmanage this host first.

Expected results:
the text should read "un-manage".

Comment 1 Satellite Program 2017-03-30 20:40:51 UTC
Created redmine issue http://projects.theforeman.org/issues/19100 from this bug

Comment 2 Satellite Program 2017-03-30 22:17:55 UTC
Upstream bug assigned to bkearney@redhat.com

Comment 3 Satellite Program 2017-03-30 22:17:59 UTC
Upstream bug assigned to bkearney@redhat.com

Comment 5 Satellite Program 2017-03-31 16:18:16 UTC
Upstream bug assigned to bkearney@redhat.com

Comment 6 Satellite Program 2017-03-31 16:18:19 UTC
Upstream bug assigned to bkearney@redhat.com

Comment 7 Satellite Program 2017-03-31 18:18:21 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19100 has been resolved.

Comment 8 Chris Roberts 2017-08-09 14:30:31 UTC
 if facet_host.managed?
        puts "Host #{facet_host.name} is registered with subscription-manager but is managed, please un-manage this host first."
        return
      end

Verfied

Comment 9 Satellite Program 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.